Bug 249483 - bcm43xx_mac80211: ERROR: bbatt(11) >= size of LO array
bcm43xx_mac80211: ERROR: bbatt(11) >= size of LO array
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-24 19:05 EDT by Orion Poplawski
Modified: 2009-11-28 05:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-15 18:44:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2007-07-24 19:05:28 EDT
Description of problem:

When inserting my Broadcom Corporation BCM4306 802.11b/g Wireless LAN Controller
(rev 03) pcmcia card:

pccard: CardBus card inserted into slot 1
PCI: Enabling device 0000:07:00.0 (0000 -> 0002)
ACPI: PCI Interrupt 0000:07:00.0[A] -> Link [LNKD] -> GSI 11 (level, low) -> IRQ 11
PCI: Setting latency timer of device 0000:07:00.0 to 64
ssb: Core 0 found: ChipCommon (cc 0x800, rev 0x04, vendor 0x4243)
ssb: Core 1 found: IEEE 802.11 (cc 0x812, rev 0x05, vendor 0x4243)
ssb: Core 2 found: PCMCIA (cc 0x80D, rev 0x02, vendor 0x4243)
ssb: Core 3 found: V90 (cc 0x807, rev 0x02, vendor 0x4243)
ssb: Core 4 found: PCI (cc 0x804, rev 0x09, vendor 0x4243)
ssb: Switching to ChipCommon core, index 0
ssb: Switching to PCI core, index 4
ssb: Sonics Silicon Backplane found on PCI device 0000:07:00.0
bcm43xx_mac80211: Broadcom 4306 WLAN found
ssb: Switching to IEEE 802.11 core, index 1
bcm43xx_mac80211: Found PHY: Analog 2, Type 2, Revision 2
bcm43xx_mac80211: Found Radio: Manuf 0x17F, Version 0x2050, Revision 2
bcm43xx_mac80211: Radio turned off
wmaster0: Selected rate control algorithm 'simple'
bcm43xx_mac80211: Adding Interface type 2
ssb: Switching to PCI core, index 4
ssb: Switching to IEEE 802.11 core, index 1
bcm43xx_mac80211: Loading firmware version 351.126 (2006-07-29 05:54:02)
ssb: Switching to ChipCommon core, index 0
ssb: Switching to IEEE 802.11 core, index 1
bcm43xx_mac80211: Radio turned on
bcm43xx_mac80211: Radio enabled by hardware
bcm43xx_mac80211: ERROR: bbatt(11) >= size of LO array
 [<f9035c98>] bcm43xx_get_lo_g_ctl+0x51/0x8d [bcm43xx_mac80211]
 [<f9035d06>] bcm43xx_lo_g_ctl_current+0x32/0x35 [bcm43xx_mac80211]
 [<f9035de5>] bcm43xx_lo_g_adjust+0x8/0x12 [bcm43xx_mac80211]
 [<f903095a>] bcm43xx_phy_init_pctl+0x2ed/0x5fc [bcm43xx_mac80211]
 [<f902b6da>] bcm43xx_phy_write+0x58/0x60 [bcm43xx_mac80211]
 [<f9033974>] bcm43xx_phy_initg+0xbdd/0xc3f [bcm43xx_mac80211]
 [<c04300f6>] msleep+0xd/0x12
 [<f90315d7>] bcm43xx_radio_selectchannel+0x3e6/0x3f7 [bcm43xx_mac80211]
 [<f9034101>] bcm43xx_phy_init+0x518/0x534 [bcm43xx_mac80211]
 [<f902754c>] bcm43xx_chip_init+0x635/0x900 [bcm43xx_mac80211]
 [<f9028502>] bcm43xx_wireless_core_init+0x212/0x669 [bcm43xx_mac80211]
 [<c04295d2>] printk+0x1f/0x92
 [<f9029cb6>] bcm43xx_add_interface+0x56/0xe1 [bcm43xx_mac80211]
 [<f9005fdf>] ieee80211_open+0x1fe/0x2ff [mac80211]
 [<c05acb95>] dev_open+0x2e/0x68
 [<c05ab667>] dev_change_flags+0x4c/0xfa
 [<c05b351c>] rtnl_setlink+0x28a/0x395
 [<c05b3292>] rtnl_setlink+0x0/0x395
 [<c05b2c05>] rtnetlink_rcv_msg+0x1a1/0x1bb
 [<c05bf0c2>] netlink_run_queue+0x5c/0xd2
 [<c05b2a64>] rtnetlink_rcv_msg+0x0/0x1bb
 [<c05b2a23>] rtnetlink_rcv+0x25/0x3d
 [<c05bf535>] netlink_data_ready+0x12/0x4c
 [<c05be501>] netlink_sendskb+0x19/0x30
 [<c05bf517>] netlink_sendmsg+0x274/0x280
 [<c05a249d>] sock_sendmsg+0xd0/0xeb
 [<c0438539>] autoremove_wake_function+0x0/0x35
 [<c0438539>] autoremove_wake_function+0x0/0x35
 [<c04ed958>] copy_from_user+0x32/0x5e
 [<c05a264a>] sys_sendmsg+0x192/0x1f7
 [<c05a31c3>] sys_recvmsg+0x1bc/0x1d0
 [<c04edb98>] copy_to_user+0x34/0x48
 [<c05a2fef>] move_addr_to_user+0x51/0x69
 [<c05a348e>] sys_getsockname+0x9f/0xb0
 [<c04c5494>] socket_has_perm+0x5a/0x62
 [<c060c9d4>] _spin_lock_bh+0x8/0x18
 [<c05a41a1>] release_sock+0x12/0x8e
 [<c05a5844>] sock_setsockopt+0x4c2/0x4cc
 [<c05a38b0>] sys_socketcall+0x240/0x261
 [<c0404f8e>] syscall_call+0x7/0xb
bcm43xx_mac80211: Chip initialized
bcm43xx_mac80211: 30-bit DMA initialized
bcm43xx_mac80211: Wireless interface started

Version-Release number of selected component (if applicable):

How reproducible:

Apparently (from Google searches) it doesn't affect operation, but I haven't
tested yet.
Comment 1 John W. Linville 2007-08-02 15:18:40 EDT

<linville> why is BCM43xx_NR_BB set to 9?
<linville> and is bbatt->att = 11 a problem?
<mb_> We don't quite understand that part of the calibration, yet
<mb_> It's not a big problem
<linville> k...
<linville> what sort of effects might it cause?
<mb_> The Oscillator is calibrated by some tables. On some devices these 
tables have gaps or are too small. Not sure why.
<mb_> The LO is calibrated incorrectly and some of the internal reference 
frequencies leak out of the antennas
<linville> sounds icky
<mb_> It has only minor effects on the performance
<linville> mind if I quote you in the bugzilla?
<mb_> But radio operators may kill people using the device :)
<mb_> Fell free to do so
Comment 2 John W. Linville 2007-08-10 17:44:17 EDT

Please try the kernels here.  I think you'll find that all but one line of the 
error message is gone, which is probably the best we can do right now.
Comment 3 Orion Poplawski 2007-08-15 18:44:02 EDT
Yeah, just see:

bcm43xx-phy0 ERROR: bbatt(11) >= size of LO array

Everything appears to work.

Note You need to log in before you can comment on or make changes to this bug.